Document Section

The document sections contains information about a section in a document.

The document section model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the document section.

  • Name
    object
    Type
    string
    Description

    Always 'document_section'.

  • Name
    section
    Type
    string
    Description

    Corresponding document template version section.

  • Name
    patient
    Type
    string
    Description

    Patient this document section is for.

  • Name
    answers
    Type
    string
    Description

    List of answers is this document section.

Response

{
    "id": "dsec_U8xtAULYUrX7GVsTKePy",
    "object": "document_section",
    "document": "doc_841JtjV1QEYFv395Hl7h",
    "section": "dtsc_1JtjV1QEY84Fv395Hl7h",
    "patient": "user_3951JtjV1QEY84FvHl7h",
    "questions": ["nans_V1QEY841JtjFv395Hl7h"],
}


GET/v2/document_sections/:id

Retrieve a document section

Retrieves the specified document section.

Request

GET
/v2/document_sections/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/document_sections/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        "id": "dsec_U8xtAULYUrX7GVsTKePy",
        "object": "document_section",
        "document": "doc_841JtjV1QEYFv395Hl7h",
        "section": "dtsc_1JtjV1QEY84Fv395Hl7h",
        "patient": "user_3951JtjV1QEY84FvHl7h",
        "questions": ["nans_V1QEY841JtjFv395Hl7h"],
    }

GET/v2/document_sections

List all document sections

Returns a list of all document sections. Pass attributes to filter the list of document sections based on that criteria.

Optional query parameters

  • Name
    limit
    Type
    number
    Description

    Maximum number of results to return.

  • Name
    offset
    Type
    number
    Description

    Number of results to skip.

  • Name
    patient
    Type
    string
    Description

    Patient to filter by.

  • Name
    document
    Type
    string
    Description

    Document to filter by.

Request

GET
/v2/document_sections
curl "https://{{base_subdomain}}.avonhealth.com/v2/document_sections?patient=user_Z1zXZKvqrpwxbznuW6lJ&document=Example" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      "object": "list",
      "data": [{
        "id": "dsec_U8xtAULYUrX7GVsTKePy",
        "object": "document_section",
        "document": "doc_841JtjV1QEYFv395Hl7h",
        "section": "dtsc_1JtjV1QEY84Fv395Hl7h",
        "patient": "user_3951JtjV1QEY84FvHl7h",
        "questions": ["nans_V1QEY841JtjFv395Hl7h"],
      }]
    }